Name:		ansiedi
Version:	0.2
Release:	1%{?dist}
Summary:	Python ANSI EDI file manipulation

Group:		Applications/Communications
License:	PSF
URL:		https://c7dev.unilit.us/git/?p=ansiedi.git
Source0:	ansiedi-%{version}.tar.gz

Requires:	python
BuildArch:	noarch

%description
Generate and parse ANSI EDI transaction with meta-data based
validation.  The metadata is hand entered based on specific
and public EDI specs from partners.  Hence, it is free but
incomplete.  Complete machine readable metadata can be ordered
from ANSI. 

%prep
%setup -q

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 edicc.py %{buildroot}%{_bindir}/edicc
install -m 755 ansibatch.py %{buildroot}%{_bindir}/ansibatch
mkdir -p %{buildroot}%{_datadir}/ansiedi
install -m 644 codes.csv *.seg %{buildroot}%{_datadir}/ansiedi

#mkdir -p %{buildroot}%{_localstatedir}/spool/edi

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
#doc README.md
%{_bindir}/*
%{_datadir}/*
%{python_sitelib}/*

%changelog
* Tue Oct 11 2016 Stuart Gathman <stuart@gathman.org> 0.2-1
- Support float date/datetime, putdate()
- config filename parameter to Config

* Fri Sep 16 2016 Stuart Gathman <stuart@gathman.org> 0.1-1
- Initial RPM
